# Class: BaseHub

## BaseHub

#### new BaseHub()

  Source:
    - hubs/basehub.js, line 56

### Extends

- EventEmitter

### Members

#### <readonly> batteryLevel

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `batteryLevel` | number | Battery level of the hub (Percentage between 0-100)

  Source:
    - hubs/basehub.js, line 138

#### <readonly> firmwareVersion

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `firmwareVersion` | string | Firmware version of the hub

  Source:
    - hubs/basehub.js, line 110

#### <readonly> hardwareVersion

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `hardwareVersion` | string | Hardware version of the hub

  Source:
    - hubs/basehub.js, line 117

#### <readonly> name

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `name` | string | Name of the hub

  Source:
    - hubs/basehub.js, line 89

#### <readonly> ports

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `ports` | Array.<string> | Array of port names

  Source:
    - hubs/basehub.js, line 103

#### <readonly> primaryMACAddress

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `primaryMACAddress` | string | Primary MAC address of the hub

  Source:
    - hubs/basehub.js, line 124

#### <readonly> rssi

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `rssi` | number | Signal strength of the hub

  Source:
    - hubs/basehub.js, line 145

#### <readonly> type

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `type` | string | Hub type

  Source:
    - hubs/basehub.js, line 96

#### <readonly> uuid

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `uuid` | string | UUID of the hub

  Source:
    - hubs/basehub.js, line 131

#### Search results